Package Details: glc-lib 2.5.0-4

Git Clone URL: https://aur.archlinux.org/glc-lib.git (read-only)
Package Base: glc-lib
Description: OpenGL Library Class
Upstream URL: http://www.glc-lib.net/
Licenses: LGPL
Submitter: net147
Maintainer: net147
Last Packager: net147
Votes: 16
Popularity: 0.281692
First Submitted: 2010-09-02 10:27
Last Updated: 2016-07-29 01:03

Latest Comments

gian commented on 2016-06-14 20:18

You can now download the source in a zip file directly from github

haawda commented on 2015-09-01 18:18

md5sum changed to '2201ff537fb63ff9ff230659acf4c6d4'

net147 commented on 2014-04-25 05:08

Updated to use system zlib which fixes the following issue:
libpng warning: iCCP: bad parameters to zlib

net147 commented on 2013-03-18 02:11

Fixed.

craig commented on 2013-03-17 22:31

Change qt to qt4 and qmake to qmake-qt4

net147 commented on 2012-01-02 23:24

Fixed.

mrbit commented on 2012-01-02 17:53

shading/glc_material.cpp: In member function ‘virtual void GLC_Material::glExecute()’:
shading/glc_material.cpp:542:37: error: ‘gluErrorString’ was not declared in this scope
shading/glc_material.cpp: In member function ‘virtual void GLC_Material::glExecute(float)’:
shading/glc_material.cpp:609:37: error: ‘gluErrorString’ was not declared in this scope
make: *** [Build/glc_material.o] Errore 1

Anonymous comment on 2011-06-14 18:24

Here is pkgbuild for glc_lib 2.1.0:

# Maintainer: Jonathan Liu <net147@gmail.com>
pkgname=glc-lib
pkgver=2.1.0
pkgrel=1
pkgdesc="OpenGL Library Class"
arch=('i686' 'x86_64')
url="http://www.glc-lib.net/"
license=('LGPL')
depends=('mesa' 'qt')
source=("http://downloads.sourceforge.net/project/$pkgname/$pkgname/GLC_lib_$pkgver/GLC_lib_src_$pkgver.zip")
md5sums=('fb5a083ef3550bec03bbe4d8c6d34dd3')

build() {
cd "$srcdir/glc_lib"
qmake
make
}

package() {
cd "$srcdir/glc_lib"
make INSTALL_ROOT="$pkgdir" install
}

# vim:set ts=2 sw=2 et: